import { BaseIntegration } from '../';
import { IIntegrationAddOptions, InfoItem, IntegrationName, ProjectPersonalizationDetails } from '../../../definitions';
export declare class Integration extends BaseIntegration {
    readonly name: IntegrationName;
    readonly summary = "Target native iOS and Android with Capacitor, Ionic's new native layer";
    readonly archiveUrl: undefined;
    add(options?: IIntegrationAddOptions): Promise<void>;
    installCapacitorCore(): Promise<void>;
    installCapacitorCLI(): Promise<void>;
    personalize({ name, packageId }: ProjectPersonalizationDetails): Promise<void>;
    getInfo(): Promise<InfoItem[]>;
    getCapacitorCLIVersion(): Promise<string | undefined>;
}
